#!/bin/sh

#
# This simple test loads a small FITS image, prints it to a postscript file
# and then quits DS9. The FITS file is create by funtools.
#

cd "${AUTOPKGTEST_TMP}"

funimage stdin'[TEXT(x:I:100,y:I:100),cir(50,50,40),point(100,1),-cir(50,50,2)]' \
    tmpfile.fits bitpix=8,mask=all < /dev/null

XPA_METHOD=local
export XPA_METHOD

xvfb-run --server-args="-screen 0 1024x768x24" ds9 &
ppid=$!

# First command, waiting until ds9 is ready 
for i in $(seq 30); do
    sleep 1
    echo "print destination file" | xpaset ds9 && break
done

echo "print filename tmpfile.ps" | xpaset ds9
echo "print" | xpaset ds9
echo "quit" | xpaset ds9
 
ls -l

if [ -s tmpfile.ps ] ; then
    echo "ds9 OK"
    exit 0
else
    echo "ds9 did not create output"
    exit 1
fi
